import { Pipe, PipeTransform } from '@angular/core';
import { HistoryDTO } from '@cmf/trade-api';
import { historyDtoToInfoText } from '../mappings';

@Pipe({
  name: 'historyDtoToInfoText',
})
export class HistoryDtoToInfoTextPipe implements PipeTransform {
  transform(history: HistoryDTO): string {
    return historyDtoToInfoText(history);
  }
}
